commit:     5acaae430913559ea691fc802673e0599d0b55b4
Author:     Dirkjan Ochtman <djc <AT> gentoo <DOT> org>
AuthorDate: Thu Nov  5 21:09:51 2020 +0000
Commit:     Dirkjan Ochtman <djc <AT> gentoo <DOT> org>
CommitDate: Thu Nov  5 21:10:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5acaae43

app-text/pelican: version bump to 4.5.1, fixes bug 746665

Closes: https://bugs.gentoo.org/746665
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Dirkjan Ochtman <djc <AT> gentoo.org>

 app-text/pelican/Manifest             |  1 +
 app-text/pelican/pelican-4.5.1.ebuild | 55 +++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/app-text/pelican/Manifest b/app-text/pelican/Manifest
index 7fc950539aa..c3c010c88f6 100644
--- a/app-text/pelican/Manifest
+++ b/app-text/pelican/Manifest
@@ -1 +1,2 @@
 DIST pelican-4.2.0.tar.gz 1332348 BLAKE2B 
879a9d51f2b2956e895302dd613c877ff65bf8d420cd70144618ada07723037bca680f6983bdf3860d144ebae4eca8198219dad9caf0d6ecc06745a3881447fa
 SHA512 
9c9f41306739acc4c6c6a7ddf50d955d958af7be1da197b42859b95405b18ab5b597fee4f9aabdf98cd508204558bff9c4f0c11bf4e5367b16e32568682a21e6
+DIST pelican-4.5.1.tar.gz 1397023 BLAKE2B 
f12b16045feaf001c8f6e57116fb8e807ce1d51f16bf7a373203edec3d1edb91a2386dbf8fb008efbc11654ae1cbe678b4a3cbf99349340db1d784962e81ab5b
 SHA512 
cb27399d3c280981d1e8cd01dbfd54b1a8bd11d9b87c4717226a2a467d73c3ad4e038a8e544534289a73e9e3cc64b4414e2b3bbf2cdd05b917d02df79ab40b5a

diff --git a/app-text/pelican/pelican-4.5.1.ebuild 
b/app-text/pelican/pelican-4.5.1.ebuild
new file mode 100644
index 00000000000..82ec8950141
--- /dev/null
+++ b/app-text/pelican/pelican-4.5.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{3_5,3_6,3_7} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="A tool to generate a static blog, with restructured text or 
markdown input files"
+HOMEPAGE="https://blog.getpelican.com/ https://pypi.org/project/pelican/";
+SRC_URI="https://github.com/getpelican/pelican/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples markdown test"
+
+DEPEND=">=dev-python/feedgenerator-1.9[${PYTHON_USEDEP}]
+       >=dev-python/jinja-2.7[${PYTHON_USEDEP}]
+       dev-python/docutils[${PYTHON_USEDEP}]
+       dev-python/pygments[${PYTHON_USEDEP}]
+       dev-python/pytz[${PYTHON_USEDEP}]
+       dev-python/unidecode[${PYTHON_USEDEP}]
+       dev-python/blinker[${PYTHON_USEDEP}]
+       >=dev-python/six-1.4[${PYTHON_USEDEP}]
+       dev-python/python-dateutil[${PYTHON_USEDEP}]
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       markdown? ( dev-python/markdown[${PYTHON_USEDEP}] )
+       test? (
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/markdown[${PYTHON_USEDEP}]
+       )"
+RDEPEND=""
+RESTRICT="test"
+
+DOCS=( README.rst )
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       if use examples; then
+               insinto "/usr/share/doc/${PF}"
+               docompress -x "/usr/share/doc/${PF}/samples"
+               doins -r samples
+       fi
+       distutils-r1_python_install_all
+}
+
+python_test() {
+       nosetests || die "Testing failed with ${EPYTHON}"
+}

Reply via email to